%define name	openmovieeditor
%define version	0.0.20080523
%define release %mkrel 4

%define title Open Movie Editor
%define longtitle Non-linear video editor

Name: 	 	%{name}
Summary: 	Simple non-linear video editor
Version: 	%{version}
Release: 	%{release}
Epoch:		1
Source:		http://prdownloads.sourceforge.net/openmovieeditor/%{name}-%{version}.tar.gz
Patch0:		openmovieeditor-fix-linkage.patch
Patch1:		openmovieeditor-fix-desktop.patch
Patch2:		openmovieeditor-adopt-to-ffmpeg.patch
URL:		http://openmovieeditor.sourceforge.net/
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	libsndfile-devel jackit-devel
BuildRequires:	glib2-devel
BuildRequires:	gavl-devel >= 1.0.0
BuildRequires:	portaudio-devel  >= 19
BuildRequires:	libsamplerate-devel
BuildRequires:	libquicktime-devel >= 1.0.2
BuildRequires:	fltk-devel
%if %mdkversion > 200700
BuildRequires:	mesaglu-devel
%else
BuildRequires:	MesaGLU-devel
%endif
BuildRequires:	ffmpeg-devel
Requires:	libquicktime

%description
The Open Movie Editor is designed to be a simple tool that provides basic movie
making capabilities. It aims to be powerful enough for the amateur movie
artist, yet easy to use. It is a non-linear video editor that features several
video and audio tracks where clips can be manipulated using the mouse.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS ChangeLog TODO README
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.xpm
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Fri Oct 17 2008 Funda Wang <fundawang@mandriva.org> 1:0.0.20080523-4mdv2009.1
+ Revision: 294724
- build for new ffmpeg

* Thu Sep 18 2008 Funda Wang <fundawang@mandriva.org> 1:0.0.20080523-3mdv2009.0
+ Revision: 285587
- BR glib
- clearify the license
- fix linkage
- fix desktop file
- use makeinstall_std
- New version 0.0.20080523

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 31 2008 Austin Acton <austin@mandriva.org> 1:0.0.20080102-2mdv2008.1
+ Revision: 160600
- fix menu entry executable

* Tue Jan 29 2008 Andreas Hasenack <andreas@mandriva.com> 1:0.0.20080102-1mdv2008.1
+ Revision: 159581
- updated to version 20080102
- removed old source which was left in the .src.rpm

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Oct 20 2007 Austin Acton <austin@mandriva.org> 1:0.0.20071010-1mdv2008.1
+ Revision: 100699
- sync
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Jun 13 2007 Austin Acton <austin@mandriva.org> 1:0.0.20070607-1mdv2008.0
+ Revision: 38885
- buildrequires libsamplerate-devel
- new version
- drop debian menu
- fix XDG menu categories


* Wed Jul 19 2006 Jerome Martin <jmartin@mandriva.org> 0.0.20060712-1mdv2007.0
- New relrease 0.0.20060712
- Fix buildrequires for backport
- xdg menu

* Sat Jul 08 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.20060630-1mdv2007.0
- New release 0.0.20060630
- fix buildrequires

* Thu May 04 2006 Austin Acton <austin@mandriva.org> 0.0.20060504-1mdk
- New release 0.0.20060504

* Sat Apr 15 2006 Austin Acton <austin@mandriva.org> 20060413-1mdk
- new release
- buildrequires ffmpeg
- epoch 1

* Thu Mar 30 2006 Austin Acton <austin@mandriva.org> 20060326-1mdk
- New release 20060326

* Mon Mar 06 2006 Austin Acton <austin@mandriva.org> 20060226-2mdk
- buildreuires GLU
- requires libquicktime

* Mon Mar 06 2006 Austin Acton <austin@mandriva.org> 20060226-1mdk
- initial package

